%define svnversion 4199

Name:		elastix-red5
Summary:	Red5 Flash Video Server
Version:	1.0.0
Release:	1.rc1.svn%{svnversion}
License:	LGPL 2.1
URL:		http://trac.red5.org/
Group:		Applications/Internet
Source0:	red5-%{version}-rc1-trunk-svn%{svnversion}.tar.bz2
Source1:	elastix-red5
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	apache-ivy-bin
BuildRequires:	apache-ant-bin

%description
Red5 is an Open Source Flash Server written in Java that supports:
* Streaming Audio/Video
  o FLV
  o MP3
  o F4V
  o MP4
  o AAC
  o M4A 
* Recording Client Streams (FLV only)
* Shared Objects
* Live Stream Publishing
  o Sorenson
  o VP6
  o h.264
  o Nelly Moser
  o MP3
  o Speex
  o AAC
  o NSV 
* Remoting 

%prep

%setup -q -n red5-%{version}-rc1-trunk

%build

# This step requires an Apache Ant 1.7 or higher. apache-ant-bin provides at least 1.8.2
# In addition, build requires working internet access since ant uses ivy (apache-ivy-bin)
# in order to download additional dependencies.
/opt/apache-ant/bin/ant clean dist

%install

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/opt/red5
cp -r dist/* $RPM_BUILD_ROOT/opt/red5
mkdir -p $RPM_BUILD_ROOT/etc/init.d
cp %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d/
mkdir -p $RPM_BUILD_ROOT/opt/red5/work/

%files
%defattr(-, root, root)
/opt/red5/*.bat
/opt/red5/*.sh
/opt/red5/*.jar
/opt/red5/*.txt
/opt/red5/lib/*
/opt/red5/plugins/*
%config(noreplace) /opt/red5/conf/*
%defattr(755, root, root)
/etc/init.d/elastix-red5
%defattr(-, asterisk, asterisk)
/opt/red5/webapps
/opt/red5/log
/opt/red5/work

%changelog
* Fri Apr 01 2011 Alex Villacis Lasso <a_villacis@palosanto.com>
- Fix permission for webapps, to allow installation of sample applications
- Fixed startup script so chkconfig can be used. 
- Ensure that directory 'work' exists

* Sat Mar 12 2011 Alex Villacis Lasso <a_villacis@palosanto.com>
- Initial build for Elastix.
